---
layout: blog
week: 105
published: 2017-05-03 15:05:26
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday April 23 and
Saturday April 29 2017:

Past and upcoming events
------------------------

On April 26th Chris Lamb gave a talk at [foss-north
2017](http://foss-north.se/) in Gothenburg, Sweden on Reproducible Builds.

Between May 5th-7th the [Reproducible Builds Hackathon
2017](https://wiki.debian.org/ReproducibleBuilds/HamburgHackathon2017) will
take place in Hamburg, Germany.

Then on May 26th Bernhard M. Wiedemann will give a talk titled [reproducible
builds in openSUSE
(2017)](https://events.opensuse.org/conference/oSC17/program/proposal/1236) at
the openSUSE Conference 2017 in Nürnberg, Germany.

Media coverage
--------------

Already on April 19th Sylvain Beucler wrote a yet another follow-up post
 [Practical basics of reproducible builds 3](http://blog.beuc.net/posts/Practical_basics_of_reproducible_builds_3/),
after [part 1](http://blog.beuc.net/posts/Practical_basics_of_reproducible_builds_2/) and
[part 2](http://blog.beuc.net/posts/Practical_basics_of_reproducible_builds/) of his series.


Toolchain development and fixes
-------------------------------

Michael Woerister of the Rust project has implemented [file
maps](https://github.com/rust-lang/rust/pull/41508) that affect all
path-related compiler information, including "error messages, metadata,
debuginfo, and the `file!()` macro alike". Ximin Luo with support from some
other Rust developers and contributors helped steer the final result into
something that was compatible with reproducible builds. Many thanks to all
involved, especially for the patience of discussing this over several months.

Ximin wrote a [first-attempt
patch](https://stat.ethz.ch/pipermail/r-devel/2017-April/074138.html) to fix R
build-path issues. It made 460/477 R packages reproducible, but also caused 3
of these to FTBFS. See [randomness_in_r_rdb_rds_databases](https://tests.reproducible-builds.org/issues/unstable/randomness_in_r_rdb_rds_databases_issue.html) for
details.


Bugs filed and patches sent upstream
------------------------------------

Chris Lamb:

* [#861133](https://bugs.debian.org/861133) filed against [tf](https://tracker.debian.org/pkg/tf).
* [#861443](https://bugs.debian.org/861443) filed against [ora2pg](https://tracker.debian.org/pkg/ora2pg).

Bernhard M. Wiedemann filed a number of patches upstream:

* [intltool](https://bugs.launchpad.net/intltool/+bug/1687644)
* [xine-ui](https://sourceforge.net/p/xine/xine-ui/merge-requests/2/)
* [tboot](https://sourceforge.net/p/tboot/code/merge-requests/1/)
* [javapackages](https://github.com/mizdebsk/javapackages/pull/4)
* [mxml](https://github.com/michaelrsweet/mxml/pull/193), which got merged already.
* [calibre](https://bugs.launchpad.net/calibre/+bug/1687540), also merged.
* [wammu](https://github.com/gammu/wammu/pull/48), merged as well.


Reviews of unreproducible packages
----------------------------------

102 package reviews have been added, 64 have been updated and 24 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

3 issue types have been updated:

- Added [captures_build_path_in_beam_files](https://tests.reproducible-builds.org/issues/unstable/captures_build_path_in_beam_files_issue.html), recategorise some erlang
  packages with [captures_build_path](https://tests.reproducible-builds.org/issues/unstable/captures_build_path_issue.html) into this issue instead.
- Removed [timestamps_in_beam_files](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_beam_files_issue.html).
- Holger started reviewing [blacklisted_on_jenkins](https://tests.reproducible-builds.org/issues/unstable/blacklisted_on_jenkins_issue.html) and
  [blacklisted_on_jenkins_armhf_only](https://tests.reproducible-builds.org/issues/unstable/blacklisted_on_jenkins_armhf_only_issue.html) and found quite some packages
  which don't need to be blacklisted anymore.


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Aaron M. Ucko (1)
 - Adrian Bunk (1)
 - Chris Lamb (4)
 - Santiago Vila (2)


diffoscope development
----------------------

diffoscope 82 was uploaded to experimental by Chris Lamb. It included
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/82)
from:

- Chris Lamb:
  - Add support for Ogg Vorbis files.
- Vagrant Cascadian:
  - Add support for .dtb (device tree blob) files. (Closes: [#861109](https://bugs.debian.org/861109)).

Changes from previous weeks that were also released with 82:

- Ximin Luo
  - Add support for R .rds and .rdb object files.
- Chris Lamb
  - Add support for comparing Pcap files.
  - Add support for .docx and .odt files via docx2txt & odt2txt.
  - Add support for PGP files via pgpdump.
  - Various documentation and test improvements.
  - Various bug fixes and code quality improvements.
- Sylvain Beucler
  - Display differences in zip platform-specific timestamps.


Misc.
-----

This week's edition was written by Ximin Luo, Chris Lamb and Holger Levsen & reviewed by a bunch of
Reproducible Builds folks on IRC & the mailing lists.
