---
layout: blog
week: 115
published: 2017-07-12 13:07:34
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday July 2 and
Saturday July 8 2017:


Reproducible work in other projects
-----------------------------------

Ed Maste pointed to [a thread on the LLVM developer mailing
list](http://lists.llvm.org/pipermail/llvm-dev/2017-July/115025.html) about
container iteration being the main source of non-determinism in LLVM, together
with discussion on how to solve this. Ignoring build path issues, container
iteration order was also the main issue with rustc, which was fixed by using a
[fixed-order hash
map](https://github.com/rust-lang/rust/commit/e4791e086d671d429db864787f6b60547a28b0f5)
for certain compiler structures. (It was unclear from the thread whether LLVM's
builds are truly path-independent or rather that they haven't done comparisons
between builds run under different paths.)


Bugs filed
----------

* Adrian Bunk:
  * [#867499](https://bugs.debian.org/867499) filed against [tiptop](https://tracker.debian.org/pkg/tiptop).
  * [#867773](https://bugs.debian.org/867773) filed against [relatorio](https://tracker.debian.org/pkg/relatorio).
  * [#867781](https://bugs.debian.org/867781) filed against [gcin](https://tracker.debian.org/pkg/gcin).
* Chris Lamb:
  * [#866945](https://bugs.debian.org/866945) filed against [tinymux](https://tracker.debian.org/pkg/tinymux).
  * [#867753](https://bugs.debian.org/867753) filed against [grunt](https://tracker.debian.org/pkg/grunt).
  * [#867848](https://bugs.debian.org/867848) filed against [gconf](https://tracker.debian.org/pkg/gconf).

Patches submitted upstream:

* Bernhard M. Wiedemann:
  * [perl-Class-MethodMaker](https://rt.cpan.org/Public/Bug/Display.html?id=122339) sort hashtable
  * [perl-Mouse](https://rt.cpan.org/Public/Bug/Display.html?id=122336) sort file list
  * [thunderbird](https://bugzilla.mozilla.org/show_bug.cgi?id=1378663) sort symbol list
  * `SOURCE_DATE_EPOCH` support:
    * [graphviz](https://github.com/ellson/graphviz/pull/1253), merged
    * [gnupg](https://dev.gnupg.org/D436), merged in improved variant by upstream
    * [janus-gateway](https://github.com/meetecho/janus-gateway/pull/943), merged
    * [libkcapi](https://github.com/smuellerDD/libkcapi/pull/12) merged
  * [txt2tags](https://github.com/txt2tags/txt2tags/pull/209) fixup on earlier patch, merged


Reviews of unreproducible packages
----------------------------------

52 package reviews have been added, 62 have been updated and 20 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

No issue types were updated or added this week.


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (143)
 - Andreas Beckmann (1)
 - Dmitry Shachnev (1)
 - Lucas Nussbaum (3)
 - Niko Tyni (3)
 - Scott Kitterman (1)
 - Sean Whitton (1)


diffoscope development
----------------------

Development continued in
[git](https://salsa.debian.org/reproducible-builds/diffoscope.git/log/) with
contributions from:

- Ximin Luo:
  - Add a PartialString class to help with lazily-loaded output formats such as
    html-dir.
  - html and html-dir output:
    - add a size-hint to the diff headers and lazy-load buttons
    - add new limit flags and deprecate old ones
  - html-dir output
    - split index pages up if they get too big
    - put css/icon data in separate files to avoid duplication
  - main: warn if loading a diff but also giving diff-calculation flags
  - Test fixes for Python 3.6 and CI environments without imagemagick ([#865625](https://bugs.debian.org/865625)).
  - Fix a performance regression ([#865660](https://bugs.debian.org/865660)) involving the Wagner-Fischer
    algorithm for calculating levenshtein distance.

With these changes, we are able to generate a [dynamically loaded HTML
diff](https://people.debian.org/~infinity0/repro/gcc-6-repro/gcc.diff.html/)
for GCC-6 that can be displayed in a normal web browser. For more details see
[this mailing list
post](https://lists.reproducible-builds.org/pipermail/rb-general/2017-July/000559.html).


Misc.
-----

This week's edition was written by Ximin Luo, Bernhard M. Wiedemann and Chris
Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing
lists.
