---
layout: blog
week: 150
published: 2018-03-13 20:03:06
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday March 4 and Saturday March 10 2018:

 * On Saturday 10th March, Chris Lamb [presented at SCALE 16x on Reproducible Builds](https://www.socallinuxexpo.org/scale/16x/presentations/you-think-youre-not-target-tale-three-developers).

 * Dan Mux [posted about moving away from Bazel](http://danmux.com/posts/bazel_fawlty/) referencing reproducibility.

 * Chris Lamb demonstrated that the Reproducible Builds can also find quality assurance issues, such as in *todoman* where [a non-fatal missing build-dependency was causing the output to be unreproducibile](https://bugs.debian.org/892381).

 * The [Yocto project's feature page](https://www.yoctoproject.org/software-overview/features/) lists "Binary Reproducibility" as their number one feature.

diffoscope development
----------------------

[diffoscope](https://diffoscope.org/) is our in-depth and content-aware diff utility that can locate and diagnose reproducibility issues.

Mattia Rizzolo [backported version 91 to the Debian backports repository](https://tracker.debian.org/news/938307).

- Chris Lamb:
    - [Support the case where the `python3-xattr` package is installed but `python3-pyxattr` is not.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ec51d78) (Closes: [#892240](https://bugs.debian.org/892240))
    - [Move documentation for `maybe_decode` into a docstring on the method itself.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/dd767cc)
    - [Avoid decoding strings by opening source files in binary mode.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ea5dc2c)
- Mattia Rizzolo:
    - [tests: binary: fix test after 934dfff](https://salsa.debian.org/reproducible-builds/diffoscope/commit/014908f)
    - [tests: test\_dos\_mbr: explicitly use utf8 for reading files](https://salsa.debian.org/reproducible-builds/diffoscope/commit/aca61db)
    - [comparators.utils.file: don't try to decode a string](https://salsa.debian.org/reproducible-builds/diffoscope/commit/934dfff)

In addition, Juliana — our Outreachy intern — continued her work on parallel processing.


Bugs filed
----------

* Adrian Bunk:
    * [#892459](https://bugs.debian.org/892459) filed against [simpleitk](https://tracker.debian.org/pkg/simpleitk).
* Bernhard M. Wiedemann:
    * [racket](https://github.com/racket/racket/issues/1979)
    * [python-datrie](https://github.com/pytries/datrie/pull/49) (sort readdir(2))
    * [yubioath-desktop](https://github.com/Yubico/yubioath-desktop/pull/278) (sort `readdir(2)`)
    * [mango-doc](https://github.com/ericlagergren/mango-doc/pull/3) (date, orphaned)
    * [lilypond](https://codereview.appspot.com/337650043) (`SOURCE_DATE_EPOCH`/date)
    * [perl-Glib](https://build.opensuse.org/request/show/583122) (update => fixes `perl-Goo-Canvas`)
    * [fbreader](https://build.opensuse.org/request/show/583885) (filed upstream: [1](https://github.com/geometer/FBReader/pull/295), [2](https://github.com/gordeevso/FBReader/pull/58) & [3](https://github.com/sabrinamusatian/FBReader/pull/6))
    * [yudit](https://build.opensuse.org/request/show/584464) (`SOURCE_DATE_EPOCH`/date, upstreamable)
    * [python-pycryptopp](https://build.opensuse.org/request/show/584808) (sort `readdir(2)`)
    * [autogen](https://build.opensuse.org/request/show/585128) (compile-time benchmarking, `SOURCE_DATE_EPOCH`, `.tar.gz`)
* Chris Lamb:
    * [#892019](https://bugs.debian.org/892019) filed against [python-meshio](https://tracker.debian.org/pkg/python-meshio).
    * [#892020](https://bugs.debian.org/892020) filed against [python-diskimage-builder](https://tracker.debian.org/pkg/python-diskimage-builder).
    * [#892021](https://bugs.debian.org/892021) filed against [kronosnet](https://tracker.debian.org/pkg/kronosnet).
    * [#892419](https://bugs.debian.org/892419) filed against [gnocchi](https://tracker.debian.org/pkg/gnocchi) ([upstream](https://github.com/gnocchixyz/gnocchi/pull/803)).
    * [#892420](https://bugs.debian.org/892420) filed against [nova](https://tracker.debian.org/pkg/nova) ([nova](https://review.openstack.org/#/c/551269/)).
    * [#892425](https://bugs.debian.org/892425) filed against [node-package-preamble](https://tracker.debian.org/pkg/node-package-preamble) .
    * [#892496](https://bugs.debian.org/892496) filed against [yt](https://tracker.debian.org/pkg/yt).
    * [#892515](https://bugs.debian.org/892515) filed against [meson](https://tracker.debian.org/pkg/meson) ([upstream](https://github.com/mesonbuild/meson/pull/3211)).
    * [#892565](https://bugs.debian.org/892565) filed against [codespell](https://tracker.debian.org/pkg/codespell).
    * [node-rollup](https://github.com/rollup/rollup/pull/2024#event-1503379407)


In addition, package reviews have been added, 44 have been updated and 26 have been removed in this week, adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Lastly, two issue classification types have been added:

* [nondeterminstic\_output\_in\_pkgconfig\_files\_generated\_by\_meson](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/241b83ee) ([patch sent upstream](https://github.com/mesonbuild/meson/pull/3211))
* [timestamps\_in\_preamble\_generated\_by\_node\_package\_preamble](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c9c6c052) ([patch sent upstream](https://github.com/mbostock/preamble/pull/4))

jenkins.debian.net development
------------------------------

- Hans-Christoph Steiner (F-Droid):
    - [Include newly packaged dependencies.](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=b8e6331a)
    - [Timeout build jobs after 48 hours.](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=350b6c78)
- Holger Levsen (F-Droid:)
    - [Timeout to build jobs after 36 hours.](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=ee87d57d)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (49)
 - Antonio Terceiro (1)
 - James Cowgill (1)
 - Ole Streicher (1)


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen, Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
