---
layout: blog
week: 153
published: 2018-04-03 17:04:24
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday March 25 and Saturday March 31 2018:

* Holger Levsen spoke at [Easterhegg 2018](http://www.easterhegg.eu/category/easterhegg-2018/) in Würzburg, Germany on Reproducible Builds ([German video](https://cdn.media.ccc.de/events/eh2018/h264-hd/eh18-41-deu-Tossing_grenades_over_the_wall_Ensuring_the_sustainability_of_our_tech_through_Reproducible_Builds_hd.mp4)).

* [Wikidata](https://www.wikidata.org/wiki/Wikidata:Main_Page) linked to [an example metadata query for diffoscope's file formats](https://query.wikidata.org/#SELECT%20%3Ffileformat%20%3FfileformatLabel%20%3Fext%20%3Fmedia%20WHERE%20%7B%0A%20%20wd%3AQ50989245%20wdt%3AP1072%20%3Ffileformat.%0A%20%20OPTIONAL%20%7B%20%3Ffileformat%20wdt%3AP1195%20%3Fext.%20%7D%0A%20%20OPTIONAL%20%7B%20%3Ffileformat%20wdt%3AP1163%20%3Fmedia.%20%7D%0A%20%20SERVICE%20wikibase%3Alabel%20%7B%20bd%3AserviceParam%20wikibase%3Alanguage%20%22%5BAUTO_LANGUAGE%5D%2Cen%22.%20%7D%0A%7D) ([original Tweet](https://twitter.com/WikiDigi/status/978977720498520065)).

* Jean-Michel Vourgère submitted Debian bug [#894441](https://bugs.debian.org/894441) against [dpkg](https://tracker.debian.org/pkg/dpkg), requesting that `SOURCE_DATE_EPOCH` must ignore bin-NMU (Non-maintainer upload) `debian/changelog` entries as this can break assumptions in `Multi-Arch: same` packages.

* The [Angular](https://angular.io/) Javscript framework [announced that their latest release is reproducible](https://twitter.com/igorminar/status/979873850740506624) using [Bazel](https://bazel.build/).

- Mattia Rizzolo updated our [Jenkins](https://jenkins.io/)-based testing framework to [not rebuild the HTML index when running in "dry-run" mode](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=d30b61f7).

- [diffoscope](https://diffoscope.org) version [93](https://tracker.debian.org/news/https://tracker.debian.org/news/943892/accepted-diffoscope-93-source-all-into-unstable/) was uploaded to Debian `unstable` by Chris Lamb. It included contributions [already convered in posts in previous weeks](https://salsa.debian.org/reproducible-builds/diffoscope/commits/93), specifically closing [#893443](https://bugs.debian.org/893443).


Patches filed
-------------

* Bernhard M. Wiedemann:
    * [surfraw](https://gitlab.com/surfraw/Surfraw/merge_requests/2) (date)
    * [kurso-de-esperanto](https://build.opensuse.org/request/show/592370) (`.png` timestamps)

* Chris Lamb:
    * [#894215](https://bugs.debian.org/894215) filed against [python-setuptools](https://tracker.debian.org/pkg/python-setuptools).
    * [#894466](https://bugs.debian.org/894466) filed against [python-fisx](https://tracker.debian.org/pkg/python-fisx).
    * [#894493](https://bugs.debian.org/894493) filed against [lexicon](https://tracker.debian.org/pkg/lexicon).
    * [#889315](https://bugs.debian.org/889315) reopened against [designate](https://tracker.debian.org/pkg/designate).

In addition, build failure bugs were reported by:

 - "r. ductor" (1)
 - Adrian Bunk (42)


Reviews of unreproducible packages
----------------------------------

59 package reviews have been added, 44 have been updated and 35 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

One issue type was added:

* [randomness\_in\_python\_setuptools\_pkg\_info](https://tests.reproducible-builds.org/debian/issues/unstable/randomness_in_python_setuptools_pkg_info_issue.html) toolchain issue.

Two issue types were removed:

* `randomness_in_gcj_output` & `gcj_captures_build_path`. [[...](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/87260d3f)]

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
