---
layout: blog
week: 162
published: 2018-06-05 07:47:12
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday May 27 and Saturday June 2 2018:

* Allan McRae [released a new version](https://git.archlinux.org/pacman.git/tag/?h=v5.1.0) of [Arch Linux](https://www.archlinux.org/)'s [Pacman package manager](https://wiki.archlinux.org/index.php/pacman) which includes support for [SOURCE_DATE_EPOCH](https://reproducible-builds.org/specs/source-date-epoch/) and adding environment information to a `.BUILDINFO` file in order that the build may be reproduced at a later date. This means future Archlinux package builds can be reproducible, finally fulfilling a [long-time "TODO"](https://www.archlinux.org/todo/buildinfo-rebuild/) for this project.

* Holger Levsen started a thread on the [debian-devel mailing list](https://lists.debian.org/debian-devel/) enquiring about [packages which may need to be rebuilt](https://lists.debian.org/debian-devel/2018/05/thrd2.html#00499) ([continued here](https://lists.debian.org/debian-devel/2018/06/threads.html#00007)) in order that Debian *buster* is reproducible.

* The deprecated [Alioth](https://wiki.debian.org/Alioth) Debian server is now gone and [has been replaced with Salsa](https://wiki.debian.org/Salsa/AliothMigration). If you were part of the "project" on Alioth, [please rejoin us on Salsa](https://salsa.debian.org/reproducible-builds) (non-Debian Developers will need to create a fresh account).

* Elio Qoshi let us know that he has almost finished the updated style guide, including CSS, and guidelines etc. to complement [our new logo](https://reproducible-builds.org/images/logos/rb.svg) after we [concluded voting for our new logo & typeface](https://lists.reproducible-builds.org/pipermail/rb-general/2018-May/000981.html).

* Santiago Torres opened a [poll for picking the next day for the reproducible builds IRC meeting](https://dudle.jmt.gr/rbmeetings/).

* Holger Levsen uploaded [strip-nondeterminism 0.041-2](https://tracker.debian.org/news/962133/accepted-strip-nondeterminism-0041-2-source-into-unstable/) and disorderfs [0.5.3-2](https://tracker.debian.org/news/962131/accepted-disorderfs-053-2-source-amd64-into-unstable/) to Debian unstable to ensure that the URIs pointed to the new locations after [their migration to Salsa](https://wiki.debian.org/Salsa/AliothMigration).

* 7 Debian package reviews were added, 30 have been updated and 50 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). A [new issue regarding Doxygen-generated documentation](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/2a08d455) was created by Chris Lamb.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann
    * [osmo-iuh](https://gerrit.osmocom.org/#/c/osmo-iuh/+/9387) (`SOURCE_DATE_EPOCH`, user)
    * [pocketsphinx-python](https://github.com/cmusphinx/pocketsphinx-python/pull/42) (`sort`)
    * [python-limnoria](https://github.com/ProgVal/Limnoria/pull/1338) (`SOURCE_DATE_EPOCH`)

* Chris Lamb:
    * [#882639](https://bugs.debian.org/882639) re-filed against [sfepy](https://tracker.debian.org/pkg/sfepy) ([Sphinx](http://www.sphinx-doc.org/en/master/)-related non-determinism).
    * [#900409](https://bugs.debian.org/900409) filed against [mtools](https://tracker.debian.org/pkg/mtools) (uninitialised memory).
    * [#900410](https://bugs.debian.org/900410) filed against [mtools](https://tracker.debian.org/pkg/mtools) (directory timestamps).
    * [#900551](https://bugs.debian.org/900551) filed against [nlohmann-json3](https://tracker.debian.org/pkg/nlohmann-json3) (build path).


tests-reproducible-builds.org development
-----------------------------------------

There were a number of changes to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/), including:

* Chris Lamb:
    * [Move package name to the beginning of the subject line of "status change" emails](https://salsa.debian.org/qa/jenkins.debian.net/commit/a6732697).
    * [Add an `X-Reproducible-Builds-Source` header to "status change" emails](https://salsa.debian.org/qa/jenkins.debian.net/commit/72a1a639).
    * [Correct broken notes URL](https://salsa.debian.org/qa/jenkins.debian.net/commit/a131a0ba).
* Eli Schwartz:
    * [Use distribution-agnostic variable names in settings](https://salsa.debian.org/qa/jenkins.debian.net/commit/19159b18).
* Holger Levsen:
    * [Move "status change" to the beginning of the subject line](https://salsa.debian.org/qa/jenkins.debian.net/commit/56de7358).
    * Large number of Salsa-migration related changes, including [changes to the `README`, the dashboard](https://salsa.debian.org/qa/jenkins.debian.net/commit/0b4cb6a2) as well to [the `INSTALL` file](https://salsa.debian.org/qa/jenkins.debian.net/commit/b3200bc9), etc.
    * [Fix a typo noticed by "umlaeute"](https://salsa.debian.org/qa/jenkins.debian.net/commit/4abb9dd7).

* Mattia Rizzolo:
    * [Publish `reproducible-builds.org/_lfs`](https://salsa.debian.org/qa/jenkins.debian.net/commit/3e59444b).
    * [Re-add `Content-Encoding=gzip` for `.gz` files](https://salsa.debian.org/qa/jenkins.debian.net/commit/8319ffca).
    * [Don't wipe `reproducilbe-lfs` workspace on every build](https://salsa.debian.org/qa/jenkins.debian.net/commit/c96f0b68).
    * [Warn when the builders are being shut down, so users are not surprised](https://salsa.debian.org/qa/jenkins.debian.net/commit/57333ab3).


reproducible.org website updates
--------------------------------

There were a number of changes to the [reproducible-builds.org](https://reproducible-builds.org/) website this week too, including:

* Arnout Engelen:
    * [Add 2-minute pitch from SHA2017](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/ea09e45).
* Bernhard M. Wiedemann:
    * [Add an .SVG version of the new logo](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/1687eea).
* Chris Lamb:
    * [Generate presentations from a data file](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/36a467b).
    * [Add a number of missing presentations](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/a2ff6fe).
    * [Show event dates if we have them](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/11223a2).
* Mattia Rizzolo:
    * [Add a link to the place where we publish PDFs](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/2ec5791).
* Sylvain Beucler:
    * [Mention `build-path-prefix-map` on the "build paths" page](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/3fd9ef1).
    * [Add references on the "archives" page](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/561e9d0).

Chris Lamb also updated the [diffoscope.org](https://diffoscope.org/) website, including [adding a progress bar animation](https://salsa.debian.org/reproducible-builds/diffoscope-website/commit/8c01733) as well as [making "try it online" link more prominent](https://salsa.debian.org/reproducible-builds/diffoscope-website/commit/8325b5d) and [correctiing the source tarball link](https://salsa.debian.org/reproducible-builds/diffoscope-website/commit/a15a6b2).


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen, Jelle van der Waa, Santiago Torres & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
