---
layout: blog
week: 165
published: 2018-06-26 14:24:17
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday June 17 and Saturday June 23 2018:

* The [*Toward a fully reproducible Debian*](https://lwn.net/SubscriberLink/757118/f2f894279576c348/) LWN article linked in last week's blog was mentioned and discussed on many different forums including [Hacker News](https://news.ycombinator.com/item?id=17353371), [Reddit](https://www.reddit.com/r/linux/comments/8sij70/toward_a_fully_reproducible_debian/) and [LWN itself](https://lwn.net/Articles/757118/#Comments).

* Torsten Grote [started a discussion on our mailing list regarding reproducible Android apps](https://lists.reproducible-builds.org/pipermail/rb-general/2018-June/001027.html), filing [an issue on Google's issue tracker](https://issuetracker.google.com/issues/110237303).

* Jeremie Dimino also [asked a question about deterministic compilation with OCaml](https://lists.reproducible-builds.org/pipermail/rb-general/2018-June/001046.html) and there was further movement on [OCaml's support for reproducible builds](https://github.com/ocaml/ocaml/pull/1515#issuecomment-398517360) in their issue tracker.

* Sylvain Beucler [updated our website to clarify `-fdebug-prefix-map`](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/1dc67c2) and similar.

* 8 package reviews were added, 65 have been updated and 45 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). In addition, two issue types were been removed ([max\_output\_size\_reached](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f0c76fa3) & [ftbfs\_in\_jenkins\_setup\_due\_to\_socket\_binding](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/fd229d4))

* The next reproducible builds IRC meeting has been scheduled for [Tuesday the 17th of July at 16:00 UTC](http://time.is/compare/1600_17_Jul_2018_in_UTC) and [an agenda is being collected](https://pad.riseup.net/p/reproducible-irc-meeting-13).


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:

    * [gcc](https://gcc.gnu.org/ml/gcc-patches/2018-06/msg01115.html) (sort, second attempt)
    * [pip](https://github.com/pypa/pip/pull/5525) (sort hash)
    * [librep](https://build.opensuse.org/request/show/618654) (version update to fix embedded hostname)

* Chris Lamb:

    * [#901763](https://bugs.debian.org/901763) filed against [chemeq](https://tracker.debian.org/pkg/chemeq).
    * [#902179](https://bugs.debian.org/902179) filed against [vm](https://tracker.debian.org/pkg/vm).


tests.reproducible-builds.org development
-----------------------------------------

There were a large number of changes to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/), including:

* Chris Lamb:
    * [Correct "which build timed out" grammar](https://salsa.debian.org/qa/jenkins.debian.net/commit/30a24438).

* Mattia Rizzolo:
    * Improve our script handling the database schema updates ([1](https://salsa.debian.org/qa/jenkins.debian.net/commit/26739d90), [2](https://salsa.debian.org/qa/jenkins.debian.net/commit/cb6b2f90), [3](https://salsa.debian.org/qa/jenkins.debian.net/commit/01ac367e)).
    * Normalize the status names as the code sees them: ["not for us" and "not_for_us" to "NFU"](https://salsa.debian.org/qa/jenkins.debian.net/commit/09012516), ["unreproducible" to "FTBR"](https://salsa.debian.org/qa/jenkins.debian.net/commit/ccc94fcf), [and rename "404" to "E404"](https://salsa.debian.org/qa/jenkins.debian.net/commit/ca3416d7).
    * [Introduce a new "Status" enum](https://salsa.debian.org/qa/jenkins.debian.n
et/commit/187636a0) and use it ([1](https://salsa.debian.org/qa/jenkins.debian.net/commit/92b6fa82), [2](https://salsa.debian.org/qa/jenkins.debian.net/commit/6a18da2e), [3](https://salsa.debian.org/qa/jenkins.debian.net/commit/dfffafb2), [4](https://salsa.debian.org/qa/jenkins.debian.net/commit/6f71ed16)).
    * [Reschedule stale builds, instead of dropping them](https://salsa.debian.org/qa/jenkins.debian.net/commit/99cdf49a).
    * [list packages in all status in the issues pages](https://salsa.debian.org/qa/jenkins.debian.net/commit/f6dfd246).
    * [Error out when `psql` fails](https://salsa.debian.org/qa/jenkins.debian.net/commit/3cb06dd7).
    * Various improvements to the build script ([1](https://salsa.debian.org/qa/jenkins.debian.net/commit/0470f48c), [2](https://salsa.debian.org/qa/jenkins.debian.net/commit/0470f48c), [3](https://salsa.debian.org/qa/jenkins.debian.net/commit/84dffbff), [4](https://salsa.debian.org/qa/jenkins.debian.net/commit/53e059fd), [5](https://salsa.debian.org/qa/jenkins.debian.net/commit/e7cde572), [6](https://salsa.debian.org/qa/jenkins.debian.net/commit/bdaff5af)), and especially:
        * [change the way ftbfs are handled](https://salsa.debian.org/qa/jenkins.debian.net/commit/fda61fc7) making the remote script exit with a clear error, instead of inferring the FTBFS status by the lack of build artifacts.
        * [apply the 120m timeout directly to diffoscope instead of the wrapping schroot](https://salsa.debian.org/qa/jenkins.debian.net/commit/a903dd7b) in a tentative to reduce the schroot errors.
        * [differentiate the irc message between diffoscope errors and timeouts](https://salsa.debian.org/qa/jenkins.debian.net/commit/bae726d3) (and [fixup](https://salsa.debian.org/qa/jenkins.debian.net/commit/0b123b98)).
        * Perform [SQL `UPSERT` operation](https://wiki.postgresql.org/wiki/UPSERT) instead of [manually checking for presence before UPDATE/INSERT](https://salsa.debian.org/qa/jenkins.debian.net/commit/34570a21) (and [fixup](https://salsa.debian.org/qa/jenkins.debian.net/commit/e6af59dd)).
    * [List packages in all statuses in the issues pages](https://salsa.debian.org/qa/jenkins.debian.net/commit/f6dfd246).
    * **[Introduce a new "timeout" status to represent build timeouts](https://salsa.debian.org/qa/jenkins.debian.net/commit/4395f641)** (this required multiple changes reported above, and several other fixups).
    * Don't install [Lintian](https://lintian.debian.org) on our hosts. ([commit](https://salsa.debian.org/qa/jenkins.debian.net/commit/6f915a55))
    * Use [APT pinning](https://wiki.debian.org/AptPreferences) instead of [using `apt-get install -t`](https://salsa.debian.org/qa/jenkins.debian.net/commit/67fb58ea).


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
