---
layout: blog
week: 167
published: 2018-07-10 06:37:16
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday July 1 and Saturday July 7 2018:

* David A. Wheeler [wrote to our mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/2018-July/001073.html) noting that the [Linux Foundation's Core Infrastructure Initiative](https://www.coreinfrastructure.org/)'s [Best Practices Badge](https://bestpractices.coreinfrastructure.org/) programme [requires a reproducible build for the "gold"-level badge](https://github.com/coreinfrastructure/best-practices-badge/blob/master/doc/other.md\#build_reproducible).

* A number of Chinese scientists wrote a tool to [apply heuristics to find the root cause of non-reproducibility](https://blog.acolyer.org/2018/06/22/automated-localization-for-unreproducible-builds/) from [diffoscope](https://diffoscope.org) output.

* Leonel Salazar wrote to our [mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/) and [shared his plans regarding a Reproducible Builds talk in Cuba](https://lists.reproducible-builds.org/pipermail/rb-general/2018-July/001071.html), asking for assistance in promoting and translating relevant content into Spanish.

* 24 package reviews were been added, 19 have been updated and 12 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). Chris Lamb also added a new [`build_path_in_apertium_mode_files`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/7971d711) issue type.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:

    * [slade](https://github.com/sirjuddington/SLADE/pull/892) (merged, zip extra time attributes, also [submitted to openSUSE](https://build.opensuse.org/request/show/619148))
    * [vpp](https://gerrit.fd.io/r/#/c/13269/) (merged, date)
    * [gcc](https://github.com/gcc-mirror/gcc/commit/494c17dc2bf45b8155fb9a14178ab48f01bc12a8) (merged `libtool` sort patch)

* Chris Lamb:
    * [#902804](https://bugs.debian.org/902804) filed against [schroot](https://tracker.debian.org/pkg/schroot).
    * [#903098](https://bugs.debian.org/903098) filed against [v4l2loopback](https://tracker.debian.org/pkg/v4l2loopback).

diffoscope development
----------------------

* Mattia Rizzolo:
    * [Empty the list of known tempfiles after removing them](https://salsa.debian.org/reproducible-builds/diffoscope/commit/a6b4eff).
    * [Use `diffoscope_` instead of `diffoscope-` as a tempfile prefix](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1e8fb23).
    * [Don't append `_diffoscope` to the temporary file names; they are now all in their namespaced directory](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ef48c90).
    * [Add a GitLab CI script](https://salsa.debian.org/reproducible-builds/diffoscope/commit/d82ec13).
* Paul Wise:
    * [Clear the progress bar after completion](https://salsa.debian.org/reproducible-builds/diffoscope/commit/dfb0c19). ([#901758](https://bugs.debian.org/901758))


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
