---
layout: blog
week: 169
published: 2018-07-23 13:35:40
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday July 15 and Saturday July 21 2018:

* The default GCC version in Debian unstable was changed from GCC 7 to GCC 8. Unfortunately as we have not updated our build path patches for this latter version, this is resulting in a large number of packages becoming unreproducible in our testing framework. Holger Levsen [temporarily disabled rescheduling of already-tested packages](https://salsa.debian.org/qa/jenkins.debian.net/commit/53fc8962), but note that newly uploaded versions will still be tested and thus will likely be marked as "unreproducible".

* The schedule for the [DebConf18](https://debconf18.debconf.org/) annual Debian Developers conference [was published](https://debconf18.debconf.org/schedule/), including talks entitled:

  * "[Reproducible Buster and beyond](https://debconf18.debconf.org/talks/80-reproducible-buster-and-beyond/)" by the Reproducible Builds team.
  * "[My crush on GNU Guix](https://debconf18.debconf.org/talks/99-my-crush-on-gnu-guix/)" by Vagrant Cascadian.
  * "[Software transparency: package security beyond signatures and reproducible builds](https://debconf18.debconf.org/talks/104-software-transparency-package-security-beyond-signatures-and-reproducible-builds/)" by Benjamin Hof.

  (Live video streams will be available.)

* Bernhard M. Wiedemann [completed rebuilding all official openSUSE-Leap-15.0 packages](https://lists.opensuse.org/opensuse-factory/2018-07/msg00119.html). No bit-for-bit identical rebuilds are possible yet (as file modification times are kept). However, several new bugs were found/fixed, and no backdoors were found.

* Chris Lamb's patches to [ensure Debian initrd images are reproducible](https://bugs.debian.org/845034) were merged and released by Ben Hutchings.

* Eli Schwartz posted to [our mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/) with a [patch to extend the buildinfo support in makepkg](https://lists.reproducible-builds.org/pipermail/rb-general/2018-July/001083.html) in [Archlinux](https://www.archlinux.org/).

* Holger Levsen's [proposal to the Prototype Fund](https://prototypefund.de/project/reproducible-builds-in-der-wirklichkeit/) entitled «*Reproducible Builds in der Wirklichkeit*» ("Reproducible builds in reality") has been accepted for funding as part of their fourth round of projects, starting in September 2019.

* Chris Lamb updated [diffoscope](https://diffoscope.org) (our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages) to [wrap jsondiff calls with a try-except to prevent fatal errors](https://salsa.debian.org/reproducible-builds/diffoscope/commit/794f815) to close Debian bugs [#903447](https://bugs.debian.org/903447) and [#903449](https://bugs.debian.org/903449).

* One Debian package review was added and one was removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:

    * [ceph/spdk](http://bugzilla.opensuse.org/show_bug.cgi?id=1101262) (`march=native`, also [merged upstream](https://github.com/ceph/ceph/pull/23078))
    * [sudo](https://bugzilla.sudo.ws/show_bug.cgi?id=842) (race condition)
    * [a2ps](https://build.opensuse.org/request/show/623107) (parallelism, date, use `SOURCE_DATE_EPOCH`)
    * [openmpi](https://build.opensuse.org/request/show/623140) (fix date, `hostname`, `config.log`)


tests.reproducible-builds.org development
-----------------------------------------

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/):

* Holger Levsen:
    * [Stop scheduling old versions in unstable and experimental as gcc-8 is the default now](https://salsa.debian.org/qa/jenkins.debian.net/commit/53fc8962).
    * [Increment contribution years](https://salsa.debian.org/qa/jenkins.debian.net/commit/34b18d54).

* Mattia Rizzolo:
    * [Do not warn about the failed Ultimate Debian Database (UDD) connection on every query](https://salsa.debian.org/qa/jenkins.debian.net/commit/18346336).


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb and Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
