---
layout: blog
week: 174
published: 2018-08-27 16:09:03
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday August 19 and Saturday August 25 2018:

* [Jelle van der Waa](https://vdwaa.nl/) gave a talk at [FroSCon 2018](https://www.froscon.de/news/froscon-2018/) titled [Arch Linux and Reproducible Builds](https://program.froscon.de/2018/events/2321.html). ([PDF slides](https://program.froscon.de/2018/system/event_attachments/attachments/000/000/509/original/Arch_Linux_Reproducible_Builds.pdf))

* Daniel Kahn Gillmor provided two patches to [diffoscope](https://diffoscope.org) (our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages) to first [correct the spelling of "ereser"](https://salsa.debian.org/reproducible-builds/diffoscope/commit/3522476) and then to [avoid a line eraser error on dumb terminals](https://salsa.debian.org/reproducible-builds/diffoscope/commit/038ac84) ([#906967](https://bugs.debian.org/906967)).

* There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/), including Holger Levsen re-enabling the "ff2a" and "opi2a" hosts back online ([1](https://salsa.debian.org/qa/jenkins.debian.net/commit/7cb81648), [2](https://salsa.debian.org/qa/jenkins.debian.net/commit/0f3ec3fd)) after Vagrant Cascadian fixed the issues that caused their original downtime.

* Arnout Engelen provided some updates for [our website](https://reproducible-builds.org/) to [fix build warning](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/6490dde) and then to [describe how a `.buildinfo` is recorded](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/06416b6). Chris Lamb also [added a very simple integration testsuite](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/22c1dcb) based on [Selenium](https://www.seleniumhq.org/).

* In last week's post we reported that [Christoph Berg](https://www.df7cb.de/) had merged [support for reproducible builds](https://github.com/postgis/postgis/commit/873c6cba3e7f7e87b615b25c50d9c8dcede661ec) in the [PostGIS](https://postgis.net/) spatial database extensions for the [PostgreSQL](https://www.postgresql.org/) database. This week, he [updated the Debian PostgreSQL build wrapper](https://salsa.debian.org/postgresql/postgresql-common/commit/c32ca637e093b4a1a3207ccbd86d82e56d9c5937) to ensure that `CFLAGS` are correctly passed to the underlying build system removing an obstacle to the packages being reproducible.

* [Simon McVittie](https://smcv.pseudorandom.co.uk/) updated [GTK](https://www.gtk.org/) in Debian, [applying a patch from Chris Lamb to make `immodules.cache` files reproducible](https://salsa.debian.org/gnome-team/gtk2/commit/7deeede44c844e99402816ebc035de4d575f3db0#9c96da0e9f91d7d8937b69b524702c106258f0d1_12_16), fixing a long-open Debian bug [#872729](https://bugs.debian.org/872729).

* On Tuesday August 21st, there was a brief [online IRC meeting](https://lists.reproducible-builds.org/pipermail/rb-general/2018-August/001116.html). The [minutes are available via Meetbot](http://meetbot.debian.net/reproducible-builds/2018/reproducible-builds.2018-08-21-16.05.html).

* 17 Debian package reviews were added, 10 were updated and 14 were removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Packages reviewed and fixed, and bugs filed
-------------------------------------------


* Bernhard M. Wiedemann:
    * [kubernetes-dashboard](https://github.com/kubernetes/dashboard/pull/3233) (date / copyright year and [parallelism](https://github.com/kubernetes/dashboard/issues/3234))
    * [libguestfs](https://www.redhat.com/archives/libguestfs/2018-August/msg00230.html) (merged, date / copyright year)
    * [mailman](https://build.opensuse.org/request/show/630980) (date)
    * [neon](https://bugzilla.opensuse.org/show_bug.cgi?id=1105995) (FTBFS 2019-09)
    * [python-execnet](https://github.com/pytest-dev/execnet/pull/84) (FTBFS -j1)
    * [python-joblib](https://github.com/joblib/joblib/issues/758) (FTBFS -j1)
    * [schily](https://build.opensuse.org/request/show/630357) (race)
    * [tbb](https://github.com/01org/tbb/pull/82) (`uname -r`, [submitted to openSUSE](https://build.opensuse.org/request/show/631209))
    * [webkit2gtk3](https://bugs.webkit.org/show_bug.cgi?id=188738) (merged, sort `readdir(2)`)
    * [wvstreams](https://build.opensuse.org/request/show/630334) (parallelism race)

* Chris Lamb:
    * [#906720](https://bugs.debian.org/906720) filed against [leiningen-clojure](https://tracker.debian.org/pkg/leiningen-clojure).


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb and Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
