---
layout: blog
week: 58
published: 2016-06-08 14:06:08
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between May 29th and June 4th 2016:

Media coverage
--------------

Ed Maste will present [Reproducible Builds in FreeBSD](https://www.bsdcan.org/2016/schedule/events/714.en.html) at BDSCan 2016 in Ottawa, Canada on June 11th.

GSoC and Outreachy updates
--------------------------

- Satyam blogged about his [first experiences hacking on diffoscope](https://satyamz.github.io/blog/2016/06/02/gsoc-2016-week-1-reproducible-builds-in-debian/).
- Ceridwen wrote about her [first steps on reprotest](https://reproducible.alioth.debian.org/blog/posts/people/ceridwen/reprotest_week1/), which now has a [git repo](https://salsa.debian.org/reproducible-builds/reprotest.git).

Toolchain fixes
---------------

 * Paul Gevers uploaded [fpc](https://tracker.debian.org/pkg/fpc)/3.0.0+dfsg-5 with a new helper script [fp-fix-timestamps](https://anonscm.debian.org/cgit/pkg-pascal/fpc.git/tree/debian/fp-fix-timestamps.txt), which helps with reproducibility issues of PPU files in freepascal packages.
 * Sascha Steinbiss uploaded a patched version of [epydoc](https://tracker.debian.org/pkg/epydoc) to our experimental repository to test a patch for the [use_epydoc](https://tests.reproducible-builds.org/issues/unstable/use_epydoc_issue.html) issue.


Other upstream fixes
--------------------

- [Initial patch](https://reviews.llvm.org/D20791) for [SOURCE_DATE_EPOCH](https://reproducible-builds.org/specs/source-date-epoch/) support in Clang (emaste)

Packages fixed
--------------

The following 53 packages have become reproducible due to changes in their
build-dependencies:
[angband](https://tracker.debian.org/pkg/angband)
[blktrace](https://tracker.debian.org/pkg/blktrace)
[code-saturne](https://tracker.debian.org/pkg/code-saturne)
[coinor-symphony](https://tracker.debian.org/pkg/coinor-symphony)
[device-tree-compiler](https://tracker.debian.org/pkg/device-tree-compiler)
[mpich](https://tracker.debian.org/pkg/mpich)
[rtslib](https://tracker.debian.org/pkg/rtslib)
[ruby-bcrypt](https://tracker.debian.org/pkg/ruby-bcrypt)
[ruby-bson-ext](https://tracker.debian.org/pkg/ruby-bson-ext)
[ruby-byebug](https://tracker.debian.org/pkg/ruby-byebug)
[ruby-cairo](https://tracker.debian.org/pkg/ruby-cairo)
[ruby-charlock-holmes](https://tracker.debian.org/pkg/ruby-charlock-holmes)
[ruby-curb](https://tracker.debian.org/pkg/ruby-curb)
[ruby-dataobjects-sqlite3](https://tracker.debian.org/pkg/ruby-dataobjects-sqlite3)
[ruby-escape-utils](https://tracker.debian.org/pkg/ruby-escape-utils)
[ruby-ferret](https://tracker.debian.org/pkg/ruby-ferret)
[ruby-ffi](https://tracker.debian.org/pkg/ruby-ffi)
[ruby-fusefs](https://tracker.debian.org/pkg/ruby-fusefs)
[ruby-github-markdown](https://tracker.debian.org/pkg/ruby-github-markdown)
[ruby-god](https://tracker.debian.org/pkg/ruby-god)
[ruby-gsl](https://tracker.debian.org/pkg/ruby-gsl)
[ruby-hdfeos5](https://tracker.debian.org/pkg/ruby-hdfeos5)
[ruby-hiredis](https://tracker.debian.org/pkg/ruby-hiredis)
[ruby-hitimes](https://tracker.debian.org/pkg/ruby-hitimes)
[ruby-hpricot](https://tracker.debian.org/pkg/ruby-hpricot)
[ruby-kgio](https://tracker.debian.org/pkg/ruby-kgio)
[ruby-lapack](https://tracker.debian.org/pkg/ruby-lapack)
[ruby-ldap](https://tracker.debian.org/pkg/ruby-ldap)
[ruby-libvirt](https://tracker.debian.org/pkg/ruby-libvirt)
[ruby-libxml](https://tracker.debian.org/pkg/ruby-libxml)
[ruby-msgpack](https://tracker.debian.org/pkg/ruby-msgpack)
[ruby-ncurses](https://tracker.debian.org/pkg/ruby-ncurses)
[ruby-nfc](https://tracker.debian.org/pkg/ruby-nfc)
[ruby-nio4r](https://tracker.debian.org/pkg/ruby-nio4r)
[ruby-nokogiri](https://tracker.debian.org/pkg/ruby-nokogiri)
[ruby-odbc](https://tracker.debian.org/pkg/ruby-odbc)
[ruby-oj](https://tracker.debian.org/pkg/ruby-oj)
[ruby-ox](https://tracker.debian.org/pkg/ruby-ox)
[ruby-raindrops](https://tracker.debian.org/pkg/ruby-raindrops)
[ruby-rdiscount](https://tracker.debian.org/pkg/ruby-rdiscount)
[ruby-redcarpet](https://tracker.debian.org/pkg/ruby-redcarpet)
[ruby-redcloth](https://tracker.debian.org/pkg/ruby-redcloth)
[ruby-rinku](https://tracker.debian.org/pkg/ruby-rinku)
[ruby-rjb](https://tracker.debian.org/pkg/ruby-rjb)
[ruby-rmagick](https://tracker.debian.org/pkg/ruby-rmagick)
[ruby-rugged](https://tracker.debian.org/pkg/ruby-rugged)
[ruby-sdl](https://tracker.debian.org/pkg/ruby-sdl)
[ruby-serialport](https://tracker.debian.org/pkg/ruby-serialport)
[ruby-sqlite3](https://tracker.debian.org/pkg/ruby-sqlite3)
[ruby-unicode](https://tracker.debian.org/pkg/ruby-unicode)
[ruby-yajl](https://tracker.debian.org/pkg/ruby-yajl)
[ruby-zoom](https://tracker.debian.org/pkg/ruby-zoom)
[thin](https://tracker.debian.org/pkg/thin)

The following packages have become reproducible after being fixed:

 * [aft](https://tracker.debian.org/pkg/aft)/2:5.098-3 by Robert Lemmen, [#777587](https://bugs.debian.org/777587) by Chris Lamb.
 * [bbswitch](https://tracker.debian.org/pkg/bbswitch)/0.8-4 by Vincent Cheng, [#803547](https://bugs.debian.org/803547) by Reiner Herrmann.
 * [cgal](https://tracker.debian.org/pkg/cgal)/4.8-4 by Joachim Reichel.
 * [gnuplot](https://tracker.debian.org/pkg/gnuplot)/4.6.6-4 by Anton Gladky.
 * [jmodeltest](https://tracker.debian.org/pkg/jmodeltest)/2.1.10+dfsg-2 by Andreas Tille.
 * [kball](https://tracker.debian.org/pkg/kball)/0.0.20041216-9 by Markus Koschany, [#825588](https://bugs.debian.org/825588) by Reiner Herrmann.
 * [netmaze](https://tracker.debian.org/pkg/netmaze)/0.81+jpg0.82-15 by John Goerzen, original patches by Chris Lamb ([#778200](https://bugs.debian.org/778200)) and Maria Valentina Marin ([#793731](https://bugs.debian.org/793731)).
 * [pacemaker](https://tracker.debian.org/pkg/pacemaker)/1.1.15~rc3-1 by Ferenc Wágner.
 * [pam](https://tracker.debian.org/pkg/pam)/1.1.8-3.3 by Laurent Bigonville, [#792127](https://bugs.debian.org/792127) by Juan Picca.
 * [plast](https://tracker.debian.org/pkg/plast)/2.3.1+dfsg-4 by Sascha Steinbiss.
 * [prospector](https://tracker.debian.org/pkg/prospector)/0.11.7-7 by Daniel Stender.
 * [pymia](https://tracker.debian.org/pkg/pymia)/0.1.8-1 by Gert Wollny.
 * [python-cobra](https://tracker.debian.org/pkg/python-cobra)/0.4.1-2 by Sascha Steinbiss.
 * [python-latexcodec](https://tracker.debian.org/pkg/python-latexcodec)/1.0.3-3 by Sascha Steinbiss, [#824454](https://bugs.debian.org/824454) by Chris Lamb.
 * [pyx](https://tracker.debian.org/pkg/pyx)/0.12.1-5 by Stuart Prescott, [#825881](https://bugs.debian.org/825881) by Alexis Bienvenüe.
 * [rdp-readseq](https://tracker.debian.org/pkg/rdp-readseq)/2.0.2-2 by Sascha Steinbiss.
 * [stevedore](https://tracker.debian.org/pkg/stevedore)/1.14.0-1 by Ondřej Nový.
 * [wise](https://tracker.debian.org/pkg/wise)/2.4.1-18 by Sascha Steinbiss.

Some uploads have addressed some reproducibility issues, but not all of them:

 * [binutils](https://tracker.debian.org/pkg/binutils)/2.26-10 by Matthias Klose, [#824413](https://bugs.debian.org/824413) by Chris Lamb.
 * [pyx3](https://tracker.debian.org/pkg/pyx3)/0.14.1-2 by Stuart Prescott, based on [#825881](https://bugs.debian.org/825881) by Alexis Bienvenüe.

Uploads with an unknown result because they fail to build:

 * [h2database](https://tracker.debian.org/pkg/h2database)/1.4.192-1 by Emmanuel Bourg, which forces a specific locale to generate documentation.

Patches submitted that have not made their way to the archive yet:

 * [#825764](https://bugs.debian.org/825764) against [docbook-ebnf](https://tracker.debian.org/pkg/docbook-ebnf) by Chris Lamb: sort list of globbed files.
 * [#825857](https://bugs.debian.org/825857) against [python-setuptools](https://tracker.debian.org/pkg/python-setuptools) by Anton Gladky: sort list of files in native_libs.txt.
 * [#825968](https://bugs.debian.org/825968) against [epydoc](https://tracker.debian.org/pkg/epydoc) by Sascha Steinbiss: traverse lists in sorted order.
 * [#826051](https://bugs.debian.org/826051) against [dh-lua](https://tracker.debian.org/pkg/dh-lua) by Reiner Herrmann: sort list of Lua versions embedded into control file.
 * [#826093](https://bugs.debian.org/826093) against [osc](https://tracker.debian.org/pkg/osc) by Alexis Bienvenüe: use `SOURCE_DATE_EPOCH` for manpage date.
 * [#826158](https://bugs.debian.org/826158) against [texinfo](https://tracker.debian.org/pkg/texinfo) by Alexis Bienvenü: use `SOURCE_DATE_EPOCH` for dates in makeinfo output.
 * [#826162](https://bugs.debian.org/826162) against [slime](https://tracker.debian.org/pkg/slime) by Alexis Bienvenüe: sort list of contributors locale-independently.
 * [#826209](https://bugs.debian.org/826209) against [fastqtl](https://tracker.debian.org/pkg/fastqtl) by Chris Lamb: normalize permissions and order in tarball.
 * [#826309](https://bugs.debian.org/826309) against [gnupg2](https://tracker.debian.org/pkg/gnupg2) by intrigeri: don't embed hostname and timestamp into gpgv.exe.

Package reviews
---------------

45 reviews have been added, 25 have been updated and 25 have been removed in this week.

 * New issues:
   * [date_added_by_ui_auto](https://tests.reproducible-builds.org/issues/unstable/date_added_by_ui_auto_issue.html)
   * [timestamp_in_info_file_created_by_makeinfo](https://tests.reproducible-builds.org/issues/unstable/timestamp_in_info_file_created_by_makeinfo_issue.html)
   * [unsorted_lua_versions_in_control](https://tests.reproducible-builds.org/issues/unstable/unsorted_lua_versions_in_control_issue.html)
   * [random_order_in_native_libs_by_setuptools](https://tests.reproducible-builds.org/issues/unstable/random_order_in_native_libs_by_setuptools_issue.html)
   * [ftbfs_build-indep_not_build_on_armhf](https://tests.reproducible-builds.org/issues/unstable/ftbfs_build-indep_not_build_on_armhf_issue.html)

12 FTBFS bugs have been reported by Chris Lamb and Niko Tyni.

diffoscope development
----------------------

- diffoscope 53 was been released by Mattia Rizzolo, with:
  - various improvements on temporary file handling;
  - fix a crash when comparing directories with broken symlinks ([#818856](https://bugs.debian.org/818856));
  - great improvement on the `deb(5)` support ([#818414](https://bugs.debian.org/818414)), by Reiner Herrmann;
  - add FreeBSD packages in `--list-tools`, by Ed Maste.
- diffoscope 54 (released shortly after) to address a regression involving
  `--list-tools`, where a syntax error prevented proper listing of all tools.

strip-nondeterminism development
--------------------------------

Mattia uploaded [strip-nondeterminism 0.018-1](https://tracker.debian.org/news/772183) which improved support for `*.epub` files.


tests.reproducible-builds.org
-----------------------------

- Added pages with [oldest logs per arch](https://tests.reproducible-builds.org/index_amd64_oldies.html) (h01ger)
- 3 new armhf hosts were added (vagrant)
    - setup and maintenance jobs added (h01ger)
    - 7 new builder jobs for armhf added (h01ger)
- HOME environment variation on tests.r-b.org and prebuilder (mattia), after Johannes Schauer [discovered](https://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20160530/005635.html) that this variation was not detected.
- 7 new package sets (for a total of 42) were added by h01ger:
    - [mate](https://tests.reproducible-builds.org/unstable/i386/pkg_set_mate.html)
    - [mate_build-depends](https://tests.reproducible-builds.org/unstable/i386/pkg_set_mate_build-depends.html)
    - [maint_debian-python](https://tests.reproducible-builds.org/unstable/i386/pkg_set_maint_debian-python.html)
    - [maint_debian-qa](https://tests.reproducible-builds.org/unstable/i386/pkg_set_maint_debian-qa.html)
    - [maint_debian-science](https://tests.reproducible-builds.org/unstable/i386/pkg_set_maint_debian-science.html)
    - [maint_pkg-fonts-devel](https://tests.reproducible-builds.org/unstable/i386/pkg_set_maint_pkg-fonts-devel.html)
    - [maint_pkg-games-devel](https://tests.reproducible-builds.org/unstable/i386/pkg_set_maint_pkg-games-devel.html)
- Improved rescheduling of packages in "depwait" state (h01ger)
- Use eatmydata on i386+armhf (h01ger) (doesn't work yet; needs unreleased pbuilder features)


Misc.
-----

Last week we also learned about progress of reproducible builds in FreeBSD. Ed Maste [announced a change](https://lists.freebsd.org/pipermail/freebsd-ports/2016-May/103183.html) to [record the build timestamp](https://lists.freebsd.org/pipermail/svn-ports-all/2016-May/124245.html) during ports building, which is required for later reproduction.


This week's edition was written by Reiner Herrman, Holger Levsen and Chris Lamb and reviewed by a bunch of Reproducible builds folks on IRC.
