---
layout: blog
week: 82
published: 2016-11-21 12:11:36
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday November 13 and Saturday November 19 2016:

Media coverage
--------------

* Chris Lamb and Holger Levsen presented a status update at [MiniDebConf Cambridge](https://wiki.debian.org/DebianEvents/gb/2016/MiniDebConfCambridge). ([Video](http://meetings-archive.debian.net/pub/debian-meetings/2016/miniconf_cambridge16/reproducible_builds_status_update.webm), [Slides](https://people.debian.org/~lamby/2016-11-13-MiniDebConfCambridge)).

Elsewhere in Debian
-------------------

* `dpkg` 1.18.14 has migrated to stretch.

* Chris Lamb filed [#844431](https://bugs.debian.org/844431) ("packages should build reproducibly")  against [debian-policy](https://tracker.debian.org/pkg/debian-policy).

* Ximin worked on glibc reproducibility this week, catching some bugs in disorderfs, FUSE, as well as glibc itself.

Documentation update
--------------------

* Webconverger was added to our list of [projects working on reproducible builds.](https://reproducible-builds.org/who/).


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* [#844491](https://bugs.debian.org/844491) filed against [linux](https://tracker.debian.org/pkg/linux) by Chris Lamb.
* [#844992](https://bugs.debian.org/844992) filed against [perlbrew](https://tracker.debian.org/pkg/perlbrew) by Chris Lamb.
* [#844993](https://bugs.debian.org/844993) filed against [qsynth](https://tracker.debian.org/pkg/qsynth) by Chris Lamb.
* [#845034](https://bugs.debian.org/845034) filed against [initramfs-tools](https://tracker.debian.org/pkg/initramfs-tools) by Chris Lamb.
* [#845055](https://bugs.debian.org/845055) filed against [markdown](https://tracker.debian.org/pkg/markdown) by Chris Lamb.
* [#844752](https://bugs.debian.org/844752) filed against [perl](https://tracker.debian.org/pkg/perl) by Niko Tyni.
* [#845007](https://bugs.debian.org/845007) filed against [qsampler](https://tracker.debian.org/pkg/qsampler) by Reiner Herrmann.
* [#845008](https://bugs.debian.org/845008) filed against [qmidinet](https://tracker.debian.org/pkg/qmidinet) by Reiner Herrmann.
* [#845010](https://bugs.debian.org/845010) filed against [qxgedit](https://tracker.debian.org/pkg/qxgedit) by Reiner Herrmann.

Reviews of unreproducible packages
----------------------------------

43 package reviews have been added, 4 have been updated and 12 have been removed in this week, adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been updated:

- [captures\_build\_path, captures\_build\_path\_via\_assert](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/cb6c434)
- [issue records\_build\_flags](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b3ddaca)

4 issue types have been added:

- [timestamps\_in\_documentation\_generated\_by\_asciidoctor](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/f0c8d20)
- [randomness\_in\_property\_annotations\_generated\_by\_sphinx](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/3c75254)
- [randomness\_in\_browserify\_lite\_output](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c4cab7d)
- [txt2man\_dash\_p](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c44d7b8)

Weekly QA work
--------------

During our reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Chris Lamb (26)
 - Daniel Stender (1)
 - Filip Pytloun (1)
 - Lucas Nussbaum (28)
 - Michael Biebl (1)

strip-nondeterminism development
--------------------------------

- [Don't make tests rely on Debian::Debhelper::Dh\_Lib.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=b9d5b06) (Chris Lamb)

disorderfs development
----------------------

* [#844498](https://bugs.debian.org/844498) ("disorderfs: using it for building kills the host")


debrebuild development
----------------------

debrebuild is new tool proposed by HW42 and josch (see [#774415](https://bugs.debian.org/774415): "From srebuild sbuild-wrapper to debrebuild").


debrepatch development
----------------------

[debrepatch](https://salsa.debian.org/reproducible-builds/debrepatch.git) is a
set of scripts that we're currently developing to make it easier to track
unapplied patches. We have a lot of those and we're not always sure if they still
work. The plan is to set up jobs to automatically apply old reproducibility
patches to newer versions of packages and notify the right people if they
don't apply and/or no longer make the package reproducible.

[debpatch](https://salsa.debian.org/reproducible-builds/debrepatch.git/tree/debpatch)
is a component of debrepatch that applies debdiffs to Debian source packages.
In other words, it is to `debdiff(1)` what `patch(1)` is to `diff(1)`. It is a
general tool that is not specific to Reproducible Builds. This week, Ximin Luo
worked on making it more "production-ready" and will soon submit it for
inclusion in [devscripts](https://packages.debian.org/sid/devscripts).


reprotest development
---------------------

Ximin Luo significantly improved reprotest, adding presets and auto-detection
of which preset to use. One can now run e.g. `reprotest auto .` or `reprotest
auto $pkg_$ver.dsc` instead of the long command lines that were needed before.

He also made it easier to set up build dependencies inside the virtual server
and made it possible to specify pre-build dependencies that reprotest itself
needs to set up the variations. Previously one had to manually edit the virtual
server to do that, which was not very usable to humans without an in-depth
knowledge of the building process.

These changes will be tested some more and then released in the near future as
`reprotest 0.4`.

- Ximin Luo:
  - [Set uname to two explicitly different values](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=f740336)
  - [Add a --no-diffoscope option. (Closes: #844512)](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=3dc708f)
  - [Add "auto" presets and --testbed-init](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=6b29511)
  - [Add --testbed-pre and --testbed-init arguments](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=a1838c4)
  - [Fix main script so that build commands starting with ENVVAR=val work after append\_command()](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=3feddf4)
  - Dramatically expand documentation (many commits)


tests.reproducible-builds.org
-----------------------

* Debian:

  * An [index of our usertagged bugs](https://tests.reproducible-builds.org/debian/index_bugs.html) page was added by Holger after a Q+A session in Cambridge.
  * Holger also setup two new i386 builders, build12+16, for >50% increased build performance. For this, we went from 18+17 cores on two 48GB machines to 10+10+9+9 cores on four 36GB ram machines… and from 16 to 24 builder jobs. Thanks to Profitbricks for providing us with all these resources once more!
  * h01ger also tried to enable disorderfs again, but hit [#844498](https://bugs.debian.org/844498), which brought down the i386 builders, so he disabled it again. Next will be trying disorderfs on armhf or amd64, to see whether this bug also manifests there. 

Misc.
-----

This week's edition was written by Chris Lamb, Holger Levsen, Ximin Luo and reviewed by a bunch of Reproducible Builds folks on IRC.
