---
layout: blog
week: 83
published: 2016-11-29 18:11:35
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday
November 20 and Saturday November 26 2016:


Reproducible work in other projects
-----------------------------------

* Webconverger, the Debian-based kiosk software [is now reproducible](https://webconverger.org/blog/2016/Webconverger\_has\_reproducible\_builds/)


Bugs filed
----------

Chris Lamb:

* [#845194](https://bugs.debian.org/845194) filed against [amd64-microcode](https://tracker.debian.org/pkg/amd64-microcode).
* [#845325](https://bugs.debian.org/845325) filed against [wheel](https://tracker.debian.org/pkg/wheel).
* [#845475](https://bugs.debian.org/845475) filed against [apktool](https://tracker.debian.org/pkg/apktool).
* [#845524](https://bugs.debian.org/845524) filed against [cairo-5c](https://tracker.debian.org/pkg/cairo-5c).
* [#845525](https://bugs.debian.org/845525) filed against [zp](https://tracker.debian.org/pkg/zp).
* [#845745](https://bugs.debian.org/845745) filed against [node-rimraf](https://tracker.debian.org/pkg/node-rimraf).

Daniel Shahaf:

* [#845191](https://bugs.debian.org/845191) filed against [libhtml-parser-perl](https://tracker.debian.org/pkg/libhtml-parser-perl).
* [#845229](https://bugs.debian.org/845229) filed against [libnss-ldap](https://tracker.debian.org/pkg/libnss-ldap).
* [#845282](https://bugs.debian.org/845282) filed against [pcsc-tools](https://tracker.debian.org/pkg/pcsc-tools).
* [#845426](https://bugs.debian.org/845426) filed against [munin-c](https://tracker.debian.org/pkg/munin-c).

Reiner Herrmann:

* [#845317](https://bugs.debian.org/845317) filed against [bzflag](https://tracker.debian.org/pkg/bzflag).
* [#845763](https://bugs.debian.org/845763) filed against [hdmi2usb-mode-switch](https://tracker.debian.org/pkg/hdmi2usb-mode-switch).
* [#845768](https://bugs.debian.org/845768) filed against [noiz2sa](https://tracker.debian.org/pkg/noiz2sa).
* [#845780](https://bugs.debian.org/845780) filed against [brotli](https://tracker.debian.org/pkg/brotli).
* [#845782](https://bugs.debian.org/845782) filed against [hannah](https://tracker.debian.org/pkg/hannah).
* [#845790](https://bugs.debian.org/845790) filed against [garmin-plugin](https://tracker.debian.org/pkg/garmin-plugin).
* [#845991](https://bugs.debian.org/845991) filed against [pathogen](https://tracker.debian.org/pkg/pathogen).


Reviews of unreproducible packages
----------------------------------

63 package reviews have been added, 73 have been updated and 41 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

4 issue types have been added:

 * [timestamps_in_header_or_footer_by_htmldoc_in_documentation](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_header_or_footer_by_htmldoc_in_documentation_issue.html)
 * [libtool_captures_shell_build-flags_build-path_path-env](https://tests.reproducible-builds.org/issues/unstable/libtool_captures_shell_build-flags_build-path_path-env_issue.html)
 * [nondeterminstic_ordering_in_python_wheel_metadata_versions](https://tests.reproducible-builds.org/issues/unstable/nondeterminstic_ordering_in_python_wheel_metadata_versions_issue.html)
 * [ftbfs_in_jenkins_setup_due_to_socket_binding](https://tests.reproducible-builds.org/issues/unstable/ftbfs_in_jenkins_setup_due_to_socket_binding_issue.html)


Weekly QA work
--------------

During our reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Chris Lamb (9)
 - Helmut Grohne (1)
 - Peter De Wachter (1)


strip-nondeterminism development
--------------------------------

 * [#845203](https://bugs.debian.org/845203) was [fixed in
   git](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=7124c6b)
   by Reiner Herrmann - the next release will be able to normalize NTFS
   timestamps in zip files.


debrepatch development
----------------------

 * Ximin Luo added much more documentation for
   [debpatch](https://salsa.debian.org/reproducible-builds/debrepatch.git/tree/debpatch)
   and filed [#845659](https://bugs.debian.org/845659) to include it in
   [devscripts](https://packages.debian.org/sid/devscripts).


Continuous integration:
-----------------------

 * Holger updated our jenkins jobs for
   [disorderfs](https://jenkins.debian.net/job/reproducible_disorderfs_from_git_master/)
   and
   [strip-nondeterminism](https://jenkins.debian.net/job/reproducible_strip-nondeterminism_from_git_master/)
   to build these from their respective git master branches, and removed the
   jobs that build them from other branches since we have none at the moment.


tests.reproducible-builds.org
-----------------------

Debian: 

Since the [stretch freeze](https://release.debian.org/#release-dates) is
getting closer, Holger made the following changes:

 * Schedule testing builds to be as equally-frequent as unstable, on all archs,
   so that testing's build results are more up-to-date.

 * Adjust experimental builds scheduling frequency so that experimental results
   are not more recent than the ones in unstable.

 * Disable our APT repository for the testing suite (stretch), but leave it
   active for the unstable and experimental suites.

   This is the repository where we uploaded patched toolchain packages from
   time to time, that are necessary to reproduce other packages with. Since
   recently, all our essential patches have been accepted into Debian stretch
   and this repository is currently empty. Debian stretch will soon become the
   next Debian stable, and we want to get an accurate impression of how many of
   its packages will be reproducible.

   Therefore, disabling this repository for stretch whilst leaving it activated
   for the Debian unstable and experimental suites, allows us to continue to
   experiment with new patches to toolchain packages, without affecting our
   knowledge of the next Debian stable.


Misc.
-----

This week's edition was written by Ximin Luo, Holger Levsen & Chris Lamb and reviewed by
a bunch of Reproducible Builds folks on IRC.
