---
layout: blog
week: 93
published: 2017-02-11 12:02:20
---

Here's what happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday
January 29 and Saturday February 4 2017:

Media coverage
--------------

Dennis Gilmore and Holger Levsen presented "Reproducible Builds and Fedora"
([Video](https://www.youtube.com/watch?v=d8oEg0p6QLE),
[Slides](http://reproducible.alioth.debian.org/presentations/2017-01-27-devconf.cz-reproducible-builds+fedora.pdf))
at [Devconf.cz](https://devconf.cz/) on February 27th 2017.

On February 1st,
[stretch/armhf](https://tests.reproducible-builds.org/debian/testing/index_suite_armhf_stats.html)
reached 90% reproducible packages in our test framework, so that now all four
tested architectures are &ge; 90% reproducible in stretch. Yay! For armhf this
means 22472 reproducible source packages (in main); for amd64, arm64 and i386
these figures are 23363, 23062 and 22607 respectively.

Chris Lamb [appeared on the Changelog
podcast](https://changelog.com/podcast/237) to talk about reproducible builds:
<audio data-theme="night" data-src="https://changelog.com/podcast/237/embed"
src="https://cdn.changelog.com/uploads/podcast/237/the-changelog-237.mp3"
preload="none" class="changelog-episode" controls></audio><script async
src="https://cdn.changelog.com/embed.js"></script>

Holger Levsen pitched Reproducible Builds and our need for a
[logo](https://wiki.debian.org/ReproducibleBuilds/Logo) in the "Open Source Design"
room at FOSDEM 2017
([Video](https://video.fosdem.org/2017/AW1.121/osd_pitch_your_project.mp4),
09:36 - 12:00).

Upcoming Events
---------------

- [The Reproducible Build
  Zoo](https://openiotelcna2017.sched.com/event/9Iu4/the-reproducible-build-zoo-vagrant-cascadian-aikidev-llc)
  will be presented by Vagrant Cascadian at the Embedded Linux Conference in
  Portland, Oregon, February 22nd.

- [Introduction to Reproducible
  Builds](https://www.socallinuxexpo.org/scale/15x/presentations/introduction-reproducible-builds)
  will be presented by Vagrant Cascadian at Scale15x in Pasadena, California,
  March 5th.

- Verifying Software Freedom with Reproducible Builds will be
  presented by Vagrant Cascadian at
  [Libreplanet2017](https://www.libreplanet.org/2017/) in Boston,
  March 25th-26th.

Reproducible work in other projects
-----------------------------------

We learned that the "slightly more secure" [Heads
firmware](https://github.com/osresearch/heads) (a Coreboot payload) [is now
reproducibly built regardless of host system or build
directory](https://twitter.com/qrs/status/826060202042494976/photo/1).
A picture says more than a thousand words:
[<img width="50%" alt="reproducible heads build on two machines"
src="/blog/images/reproducible-heads-firmware-20170131.jpg"
/>](/blog/images/reproducible-heads-firmware-20170131.jpg)

Docker started [preliminary work](https://github.com/docker/docker/pull/30611)
on making image builds reproducible.


Toolchain development and fixes
-------------------------------

Ximin Luo continued to write [code and test
cases](https://github.com/infinity0/rb-prefix-map) for the
`BUILD_PATH_PREFIX_MAP` environment variable. He also did extensive research on
cross-platform and cross-language issues with environment variables, filesystem
paths, and character encodings, and started preparing a draft specification
document to describe all of this.

Chris Lamb asked CPython to implement an environment variable
[PYTHONREVERSEDICTKEYORDER](http://bugs.python.org/issue29431) to add an
an option to reverse iteration order of items in a `dict`.  However this was
rejected because they are planning to formally fix this order in the next
language version.

Bernhard Wiedemann and Florian Festi [added
support](https://github.com/rpm-software-management/rpm/pull/143) for our
`SOURCE_DATE_EPOCH` environment variable, to the RPM Package Manager.

James McCoy uploaded [devscripts](https://tracker.debian.org/pkg/devscripts) 2.17.1 with a change from Guillem
Jover for `dscverify(1)`, adding support for .buildinfo files. (Closes: [#852801](https://bugs.debian.org/852801))

Piotr Ożarowski uploaded [dh-python](https://tracker.debian.org/pkg/dh-python) 2.20170125 with a change from Chris
Lamb for a patch to fix [#835805](https://bugs.debian.org/835805).

Chris Lamb added documentation to diffoscope, strip-nondeterminism, disorderfs,
reprotest and trydiffoscope about uploading signed tarballs when releasing. He
also added a link to these on our website's [tools
page](https://reproducible-builds.org/tools/).


Packages reviewed and bugs filed
--------------------------------

Bugs filed:

* "Z. Ren":
  * [#854293](https://bugs.debian.org/854293) filed against [manpages-tr](https://tracker.debian.org/pkg/manpages-tr).
  * [#854294](https://bugs.debian.org/854294) filed against [regina-rexx](https://tracker.debian.org/pkg/regina-rexx).
* Chris Lamb:
  * [#853039](https://bugs.debian.org/853039) filed against [fontypython](https://tracker.debian.org/pkg/fontypython).
  * [#853912](https://bugs.debian.org/853912) filed against [python-testfixtures](https://tracker.debian.org/pkg/python-testfixtures), merged upstream
    as [PR #56](https://github.com/Simplistix/testfixtures/pull/56).
  * [#854111](https://bugs.debian.org/854111) filed against [aprx](https://tracker.debian.org/pkg/aprx).
  * [#854112](https://bugs.debian.org/854112) filed against [pnmixer](https://tracker.debian.org/pkg/pnmixer).
* Reiner Herrmann:
  * [#854145](https://bugs.debian.org/854145) filed against [daemontools](https://tracker.debian.org/pkg/daemontools).
  * [#854146](https://bugs.debian.org/854146) filed against [diploma](https://tracker.debian.org/pkg/diploma).


Reviews of unreproducible packages
----------------------------------

83 package reviews have been added, 86 have been updated and 276 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been updated:

- [captures_build_path_via_assert](https://tests.reproducible-builds.org/issues/unstable/captures_build_path_via_assert_issue.html)
- [randomness_in_documentation_generated_by_epydoc](https://tests.reproducible-builds.org/issues/unstable/randomness_in_documentation_generated_by_epydoc_issue.html)


Weekly QA work
--------------

During our reproducibility testing, the following FTBFS bugs have been detected
and reported by:

 - Chris Lamb (6)


diffoscope development
----------------------

Work on the next version (71) continued in git this week:

- Mattia Rizzolo:
  - Override a lintian warning.
- Chris Lamb:
  - Update and consolidate documentation
  - Many test additions and improvements
  - Various code quality and software architecture improvements
- anthraxx:
  - Update arch package, cdrkit -> cdrtools.


reproducible-website development
--------------------------------

Daniel Shahaf added more notes on our "[How to chair a
meeting](https://salsa.debian.org/reproducible-builds/reproducible-website.git/tree/how-to-chair-a-meeting.md)"
document.


tests.reproducible-builds.org
-----------------------

Holger unblacklisted [pspp](https://tracker.debian.org/pkg/pspp) and [tiledarray](https://tracker.debian.org/pkg/tiledarray). If you think
further packages should also be unblacklisted (possibly only on some
architectures), please tell us.


Misc.
-----

This week's edition was written by Ximin Luo, Holger Levsen and Chris Lamb &
reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
