---
layout: blog
week: 97
published: 2017-03-10 08:03:59
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday February 26 and Saturday March 4 2017:


Upcoming Events
---------------

Ed Maste will present [Reproducible Builds in
FreeBSD](https://2017.asiabsdcon.org/program.html.en) at [AsiaBSDCon
2017](https://2017.asiabsdcon.org/program.html.en).

Ximin Luo will present [Reproducible builds, its uses and the
future](https://opensourcedays.org/community/sessions) at [Open Source
Days](https://opensourcedays.org/) in Copenhagen on March 18.

Holger Levsen will give a talk at the [German Unix User Group's "Frühjahrsfachgespräch"](http://www.guug.de/veranstaltungen/ffg2017/) in Darmstadt, Germany, about [Reproducible Builds everywhere](http://www.guug.de/adm/ffg-pk/abstracts.html#4_5_2) on March 23.

Verifying Software Freedom with Reproducible Builds will be presented
by Vagrant Cascadian at
[Libreplanet2017](https://www.libreplanet.org/2017/) in Boston, March
25th-26th.


Media coverage
--------------

Aspiration Tech [published a very detailed
report](https://reproducible-builds.org/events/berlin2016/) on our Reproducible
Builds World Summit 2016 in Berlin.


Reproducible work in other projects
-----------------------------------

Duncan [published a very thorough
post](https://users.rust-lang.org/t/testing-out-reproducible-builds/9758) on
the Rust Programming Language Forum about reproducible builds in the Rust
compiler and toolchain.

In particular, he [produced a table](https://vtllf.org/rustrepro/index.html)
recording the reproducibility of different build products under different
individual variations, totalling 187 build+variation combinations.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Chris Lamb:

* [#856614](https://bugs.debian.org/856614) filed against [dask.distributed](https://tracker.debian.org/pkg/dask.distributed).
* [#856807](https://bugs.debian.org/856807) filed against [node-mocha](https://tracker.debian.org/pkg/node-mocha), forwarded
  and [merged upstream](https://github.com/mochajs/mocha/pull/2727)
* [#856834](https://bugs.debian.org/856834) filed against [tendermint-go-rpc](https://tracker.debian.org/pkg/tendermint-go-rpc).
* [#856860](https://bugs.debian.org/856860) filed against [archvsync](https://tracker.debian.org/pkg/archvsync).

Dhole:

* [#856257](https://bugs.debian.org/856257) filed against [tunnelx](https://tracker.debian.org/pkg/tunnelx).


Reviews of unreproducible packages
----------------------------------

60 package reviews have been added, 8 have been updated and 13 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

1 issue type has been added:

* [timestamp_in_fonts_generated_by_opentype](https://tests.reproducible-builds.org/issues/unstable/timestamp_in_fonts_generated_by_opentype_issue.html)


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected
and reported by:

 - Chris Lamb (3)


diffoscope development
----------------------

diffoscope 78 was uploaded to unstable and jessie-backports by Mattia Rizzolo.
It included
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/78)
from:

- Chris Lamb:
  - Make tests that call `xxd` work on jessie again. (Closes: [#855239](https://bugs.debian.org/855239))
  - tests: Move `normalize_zeros` to more generic `utils.data` module.
- Brett Smith:
  - comparators.json: Catch bad JSON errors on Python pre-3.5. (Closes: [#855233](https://bugs.debian.org/855233))
- Ed Maste:
  - Use BSD-style stat(1) on FreeBSD. (Closes: [#855169](https://bugs.debian.org/855169))

In addition, the following changes were made on the `experimental` branch:

- Chris Lamb (4):
  - Tidy cbfs tests.
  - Correct "exercice" -> "exercise" typo.
  - Support newer versions of cbfstool to avoid test failure. (Closes: [#856446](https://bugs.debian.org/856446))
  - Skip icc test that varies on endian if the (Debian-specific) patch is not
    present. (Closes: [#856447](https://bugs.debian.org/856447))


reproducible-website development
--------------------------------

- anonmos1:
  - Replace root with 0 when giving UIDs/GIDs to GNU tar.
- Holger Levsen and Chris Lamb:
  - Publish report by Aspiration Tech about RWS Berlin 2016.

tests.reproducible-builds.org
-----------------------------

- Ed Maste continued his work on [testing FreeBSD for reproducibility](https://tests.reproducible-builds.org/freebsd/) but hasn't reached the magical 100% mark yet.
- Holger Levsen adjusted the Debian builders scheduling frequency, mostly to adopt to armhf having become faster due to the two new nodes.


Misc.
-----

This week's edition was written by Ximin Luo, Chris Lamb, Holger Levsen & reviewed by a bunch of
Reproducible Builds folks on IRC & the mailing lists.
