---
layout: blog
week: 78
published: 2016-10-24 16:10:06
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday October 16 and Saturday October 22 2016:

Media coverage
--------------

- Chris Lamb presented at [Software Freedom Kosovo](http://sfk.flossk.org/sfk16/) on reproducible builds on Saturday 22nd October.

Upcoming events
---------------

- Jürgen Rose will be giving a talk on [Enforcing reproducible builds with Eclipse Package Drone](https://www.eclipsecon.org/europe2016/session/enforcing-reproducible-builds-eclipse-package-drone) at EclipseCon Europe 2016 in Ludwigsburg, Germany on October 27th.

buildinfo.debian.net
--------------------

In order to build packages reproducibly, you not only need identical sources but also some external definition of the environment used for a particular build. This definition includes the inputs and the outputs and, in the Debian case, are available in a ``$package_$architecture_$version.buildinfo`` file.

We anticipate the next ``dpkg`` upload to sid will create ``.buildinfo`` files by default. Whilst it's clear that we also need to teach dak to deal with them ([#763822](https://bugs.debian.org/763822)) its not actually clear how to handle ``.buildinfo`` files after ``dak`` has processed them and how to make them available to the world.

To this end, Chris Lamb has started development on a [proof-of-concept ``.buildinfo`` server](https://buildinfo.debian.net/) to see what issues arise. [Source](https://github.com/lamby/buildinfo.debian.net)


Reproducible work in other projects
-----------------------------------

- Ximin Luo submitted a [patch to GCC](https://gcc.gnu.org/ml/gcc-patches/2016-10/msg01338.html) as a prerequisite for future patches to make debugging symbols reproducible.

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* [#841274](https://bugs.debian.org/841274) filed against [node-once](https://tracker.debian.org/pkg/node-once) by Chris Lamb.
* [#841342](https://bugs.debian.org/841342) filed against [zshdb](https://tracker.debian.org/pkg/zshdb) by Chris Lamb.
* [#841427](https://bugs.debian.org/841427) filed against [unifdef](https://tracker.debian.org/pkg/unifdef) by Chris Lamb.
* [#841440](https://bugs.debian.org/841440) filed against [rdp-alignment](https://tracker.debian.org/pkg/rdp-alignment) by Chris Lamb.
* [#841497](https://bugs.debian.org/841497) filed against [cf-python](https://tracker.debian.org/pkg/cf-python) by Chris Lamb.
* [#841694](https://bugs.debian.org/841694) filed against [dvdauthor](https://tracker.debian.org/pkg/dvdauthor) by Reiner Herrmann.
* [#841698](https://bugs.debian.org/841698) filed against [node-lodash](https://tracker.debian.org/pkg/node-lodash) by Chris Lamb.
* [#841701](https://bugs.debian.org/841701) filed against [libtext-charwidth-perl](https://tracker.debian.org/pkg/libtext-charwidth-perl) by Reiner Herrmann.
* [#841702](https://bugs.debian.org/841702) filed against [libapt-pkg-perl](https://tracker.debian.org/pkg/libapt-pkg-perl) by Reiner Herrmann.
* [#841703](https://bugs.debian.org/841703) filed against [libio-pty-perl](https://tracker.debian.org/pkg/libio-pty-perl) by Reiner Herrmann.
* [#841707](https://bugs.debian.org/841707) filed against [eximdoc4](https://tracker.debian.org/pkg/eximdoc4) by Chris Lamb.

Reviews of unreproducible packages
----------------------------------

99 package reviews have been added, 3 have been updated and 6 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

6 issue types have been added:

- [bin\_sh\_is\_bash](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/ece60f7)
- [captures\_build\_arch](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/94c4798)
- [captures\_build\_path\_via\_assert](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/ea213c5)
- [docbook\_to\_man\_one\_byte\_delta\_on\_i386](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/b570955)
- [graphviz\_nondeterminstic\_output](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/0da7749)
- [randomness\_in\_documentation\_generated\_by\_scilab](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d9fd481)

Weekly QA work
--------------

During of reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Chris Lamb (23)
 - Daniel Reichelt (2)
 - Lucas Nussbaum (1)
 - Santiago Vila (18)

diffoscope development
----------------------

- Mattia Rizzolo:
  - [tests/ppu: skip some PPU tests if ppudump is < 3.0.0](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b887c6b)
  - [ppu: ignore decoding errors from ppudump while filtering the output](https://salsa.debian.org/reproducible-builds/diffoscope/commit/5e1d431)
  - [ppu: don't do run a full ppudump while only looking for PPU file version](https://salsa.debian.org/reproducible-builds/diffoscope/commit/32b916d)
  - [debian: bump debhelper compat level to 10, no changes needed.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ed3deee)
- Michel Messerschmidt:
  - [Add rudimentary support for OpenDocumentFormat files](https://salsa.debian.org/reproducible-builds/diffoscope/commit/5ddf660)

tests.reproducible-builds.org
-----------------------

- h01ger increased the diskspace for reproducible content on Jenkins. Thanks to [ProfitBricks](https://www.profitbricks.com/).
- Valerie Young supplied a patch to make Python SQL interface more SQLite/PostgresSQL agnostic.
- lynxis worked hard to make LEDE and OpenWrt builds happen on two hosts.

Misc.
-----

Our [poll to find a good time for an IRC meeting](https://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20161017/007298.html) is still running until Tuesday, October 25st; please reply as soon as possible.

We need a logo! Some [ideas and requirements for a Reproducible Builds logo](https://wiki.debian.org/ReproducibleBuilds/Logo) have been documented in the wiki. Contributions very welcome, even if simply by forwarding this information.

This week's edition was written by Chris Lamb & Holger Levsen and reviewed by a bunch of Reproducible Builds folks on IRC.
